Package Details: linphone-desktop-git 4.3.0.alpha.r21.g85b09ee9-1

Git Clone URL: https://aur.archlinux.org/linphone-desktop-git.git (read-only, click to copy)
Package Base: linphone-desktop-git
Description: A Voice-over-IP phone
Upstream URL: http://www.linphone.org
Licenses: GPL
Conflicts: linphone-desktop
Provides: linphone-desktop
Submitter: thrasibule
Maintainer: thrasibule
Last Packager: thrasibule
Votes: 5
Popularity: 0.000001
First Submitted: 2017-09-08 00:26
Last Updated: 2020-09-10 02:14

Latest Comments

1 2 3 4 Next › Last »

Manifest0 commented on 2020-11-22 22:04

The build is failing when patching the CMakeLists.txt

patching file CMakeLists.txt
Hunk #1 succeeded at 122 (offset 4 lines).
Hunk #2 FAILED at 132.
Hunk #3 FAILED at 169.
2 out of 3 hunks FAILED -- saving rejects to file CMakeLists.txt.rej

thrasibule commented on 2020-09-15 13:35

@jaro3 this doesn't show the actual error, please scroll up until you see the actual error, or put the full build log in a pastebin. Usually it's just a matter of rebuilding one of the -git dependencies.

jaro3 commented on 2020-09-15 05:19

Doesn't build :-(

/usr/src/tmp/liblinphone-git/src/linphone/coreapi/chat.c:183:19: note: declared here 183 | LinphoneChatRoom linphone_core_get_chat_room (LinphoneCore lc, const LinphoneAddress peerAddr) { | ^~~~~~~~~~~~~~~~~~~~~~~~~~~ make[2]: [coreapi/CMakeFiles/linphone-coreapi.dir/build.make:225: coreapi/CMakeFiles/linphone-coreapi.dir/chat.c.o] Error 1 make[1]: ** [CMakeFiles/Makefile2:395: coreapi/CMakeFiles/linphone-coreapi.dir/all] Error 2 make[1]: Waiting for unfinished jobs.... /usr/src/tmp/liblinphone-git/src/linphone/wrappers/cpp/genwrapper.py:496: DeprecationWarning: 'U' mode is deprecated with open(tmppath, mode='rU') as f: [ 4%] Built target linphone-cxx-wrapper make: *** [Makefile:149: all] Error 2 ==> ERROR: A failure occurred in build(). Aborting... ==> ERROR: Makepkg was unable to build .

jaro3 commented on 2020-03-28 15:14

same here, please fix!

-> Found cmake.patch -> Found deprecated.patch -> Found find_minizip2.patch ==> Validating source files with sha256sums... linphone-desktop ... Skipped cmake.patch ... Passed deprecated.patch ... Passed find_minizip2.patch ... Passed ==> Extracting sources... -> Creating working copy of linphone-desktop git repo... Cloning into 'linphone-desktop'... done. ==> Starting prepare()... patching file CMakeLists.txt Hunk #1 FAILED at 97. 1 out of 1 hunk FAILED -- saving rejects to file CMakeLists.txt.rej ==> ERROR: A failure occurred in prepare(). Aborting...

bunder commented on 2020-03-20 16:26

==> Making package: linphone-desktop-git 4.1.1.r663.g4a43f00e-1
...
==> Starting prepare()...
patching file CMakeLists.txt
Hunk #1 FAILED at 97.
1 out of 1 hunk FAILED -- saving rejects to file CMakeLists.txt.rej
==> ERROR: A failure occurred in prepare().

monarc99 commented on 2019-11-14 21:07

belledonne switch to gitlab: https://gitlab.linphone.org/BC/public

sudoquai commented on 2019-06-07 15:01

==> Error: Could not find all required packages: minizip2=2.3.3 (Wanted by: linphone-desktop-git)

dreieck commented on 2019-02-06 10:04

@thrasibule: Yes, it works now for me also.

However, namcap still sees a reference to minizip: linphone-desktop-git E: Dependency minizip detected and not included (libraries ['usr/lib/libminizip.so'] needed in files ['usr/bin/linphone'])

thrasibule commented on 2019-01-26 23:09

@dreieck what happens is that at install cmake strips the rpath from the linphone binary. I've turned off that behavior. It's probably not the cleanest way of doing it, but it works at least.

dreieck commented on 2019-01-21 12:49

.. I encountered that upon execution it still opens /usr/lib/libminizip.so (which is from minizip version 1.x) and then fails with linphone: symbol lookup error: linphone: undefined symbol: mz_stream_bzip_close, although during compilation it seems to use minizip2.

Maybe some extraneous linking options missing?